# Uses of Interface
org.jdesktop.application.session.PropertySupport

Packages that use PropertySupport
Package
Description
org.jdesktop.application
org.jdesktop.application.session

## Uses of PropertySupport in org.jdesktop.application

Methods in org.jdesktop.application that return PropertySupport
Modifier and Type
Method
Description
`final PropertySupport`
SessionStorage.`getProperty(Component component)`
If a `sessionState PropertySupport` object exists for the specified Component return it, otherwise return null.
`PropertySupport`
SessionStorage.`getProperty(Class cls)`
Returns the `PropertySupport` object that was `registered` for the specified class or a superclass.
Methods in org.jdesktop.application with parameters of type PropertySupport
Modifier and Type
Method
Description
`void`
SessionStorage.`putProperty(Class cls, PropertySupport propertySupport)`
Register a `PropertySupport` for the specified class.

## Uses of PropertySupport in org.jdesktop.application.session

Classes in org.jdesktop.application.session that implement PropertySupport
Modifier and Type
Class
Description
`class`
`SplitPaneProperty`
A `sessionState` property for JSplitPane.
`class`
`TabbedPaneProperty`
A `sessionState` property for JTabbedPane.
`class`
`TableProperty`
A `sessionState` property for JTable
`class`
`WindowProperty`
A `sessionState` property for Window.